### Method

# Vte Terminal set_pty

#### Declaration [src]

    void
    vte_terminal_set_pty (
      VteTerminal* terminal,
      VtePty* pty
    )

#### Description [src]

Sets `pty` as the PTY to use in `terminal`. Use `NULL` to unset the PTY.

Sets property | `Vte.Terminal:pty`

#### Parameters

`pty`

  Type: `VtePty`

  A `VtePty`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.